import request from '@/sheep/request';

const ScoreApi = {
  getScoreApi: (params) => {
    return request({
      url: '/distri/pt-profit-log/page',
      method: 'GET',
      params,
      custom: {
        showLoading: false,
        showError: false,
      },
    });
  },
  getMaxScoreList: (params) => {
    return request({
      url: '/distri/pt-profit-log/getMaxAmountPage',
      method: 'GET',
      params,
      custom: {
        showLoading: false,
        showError: false,
      },
    });
  },
};
export default ScoreApi;
